Download it now!
Bug 128197 - FILEOPEN: DOCX: Incorrect spacing when paragraph is divided by a line
Summary: FILEOPEN: DOCX: Incorrect spacing when paragraph is divided by a line
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.7
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph docx-aggressive-competitors DOCX-compatibilityMode-15
  Show dependency treegraph
 
Reported: 2019-10-17 10:06 UTC by Xisco Faulí
Modified: 2020-08-31 10:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.4 Master (15.19 KB, image/png)
2019-10-17 10:06 UTC, Xisco Faulí
Details
sample file (14.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-17 10:07 UTC, Xisco Faulí
Details
Sample in DOC format (28.00 KB, application/msword)
2019-10-18 00:56 UTC, Aron Budea
Details
Doc4_exaggeratted.docx: spacing affected by character fontsize (8.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-03 09:39 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-17 10:06:34 UTC
Created attachment 155062 [details]
comparison MSO 2010 and LibreOffice 6.4 Master

Steps to reproduce:
1. Open attached document

-> The spacing between the horizontal line and the line of text afterwards is incorrect. See attached comparison

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Xisco Faulí 2019-10-17 10:07:11 UTC
Created attachment 155063 [details]
sample file
Comment 2 Aron Budea 2019-10-18 00:54:10 UTC
Confirmed with LO 6.4.0.0.alpha0+ (bb6bcabda53dbd64dda43f09fab9f4ad6f34eba6) / Windows.
Comment 3 Aron Budea 2019-10-18 00:56:21 UTC
Created attachment 155103 [details]
Sample in DOC format

Same issue in DOC format. I didn't want to create a separate bug report right away, that can be done whenever, eg. if the DOCX part is resolved separately.
Comment 4 Justin L 2020-04-03 09:39:54 UTC
Created attachment 159292 [details]
Doc4_exaggeratted.docx: spacing affected by character fontsize

This is not at all what I expected the problem to be. I thought this would be dealing with a "horizontal line (o:hr)" but it is just a thin rectangle shape, anchored as-character. LO seems to treat it as having a minimum height of the rest of the line of text, while MSO evidently only considers its actual size.

This suggests that a fix could be setting the fontsize to something tiny, if the image height is less than the surrounding text.
Comment 5 Commit Notification 2020-06-24 11:11:01 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee7b6c773eb22268fefee4bfcc10110b0bbbd8cf

tdf#128197: sw: different line height for DOCX with compat=14

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-25 12:04:33 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1e8c8d68dcf61a930d1521e7fd312c9e7a1b6392

tdf#128197: sw: different line height for DOCX with compat=14

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-08-13 09:14:30 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ed79b0f274c913ce8206a68a2ca9296b84ac0751

tdf#128197: sw: different line height for DOCX with compat=14

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.